 Introduction

Introduction to Lead Captain

 Top Next

Three programs in one

1. Dealing hands
2. Opening Leads
3. Bidding Decisions

The heart of Lead Captain is a dealing program that allows you to specify the shape and strength of all four hands with as much precision as you want, then have as many hands as you want created based on these parameters. Output these hands to a PBN file and/or use them to help with opening lead or bidding problems.

Both Opening Leads and Bidding Decisions utilize Lead Captain's rapid and user friendly dealing capabilities. Lead Captain helps with two bridge problems: opening leads and bidding decisions. Just click on the desired tab:

General approach

Lead Captain generates millions of random hands to find hands that fit your criteria, then uses double dummy analysis to determine the results of those hands. The better you have defined the hand patterns that fit your problem, the better your results. Generally 1,000-3,000 hands are needed to obtain statistically meaningful answers.

Whether you are trying to answer an opening lead question or a bidding decision, the general procedure with Lead Captain is the same:

1. Define the four hands. For a Fixed Hand you Fill in all 13 cards. Up to 50 different patterns are allowed for each non fixed hand. In the Opening Leads tab you must fill in all 13 cards for the South hand - the hand on lead.
2. Fill in the desired number of deals in your study.
3. Click the Create Deals button. For Bidding Decisions you will also have to click Analyse after you've created deals.

When you click the Create Deals button, Lead Captain deals all fixed hands then shuffles the remaining cards and determines if the criteria you've set for the other hands have been met. If not, the process is repeated until the desired number of deals has been created. Results are displayed automatically with Opening Leads. With Bidding Decisions you must next click the Analyze button so that Lead Captain can:

· calculate double dummy results for all possible trump/declarer combinations, using Bo Haglund's double dummy engine.
· store all necessary information
· display the results for the selected tab.

Press the <Esc> key to terminate processing.

If Lead Captain creates one million random deals and doesn't find even one that fits your hand definitions, it stops processing and send you an error message. This can occur if you have defined a very rare hand pattern. If the hand can not be found from a million random hands you need to define the hands more broadly.

? ? ? ?


Opening Lead

 Top Previous Next

The Opening Lead feature of Lead Captain can best be shown with an example.

The East-West bidding on this sample hand was

· 1NT: 15-17
· 2C: Stayman, promising at least one 4 card major
· 2D: opener denies a 4 card major
· 2NT: inviting 3NT
· Pass: since E-W are vulnerable, I assumed this shows just 15 HCP

After the above bidding, what's your opening leading holding:

Assume your methods won't let you show diamonds below the 3 level after East's strong NT opening bid, so you pass throughout.

What's your lead? Here's Lead Captain's answer:

Here's all you need to do:

· Fill in the leader's hand
· Define the three unknown hands, as revealed by the bidding.
· Specify the contract level and trump
· Click the Create Deals button

Then just wait a few seconds for Lead Captain's answer.


Lead Captain's Answer

Despite the possession of a nice 5 card diamond suit, the suggested opening lead for this hand is a top heart. Over the long haul, you will set their 2NT contract 3% more often.


Run Opening Lead

In order to run Lead Captain:

· First enter the Contract Level and Trump.
· Next enter the number of deals in your study. Generally 2,000 hands is a minimum number and 5,000 will give you a very accurate answer. Of course the larger the sample size, the more time it will take to complete your study.
· Decide if you want to save a PBN file with all the deals in your study.
· Click the Best Leads button

If you save a PBN file, each deal will include a Lead tag in this format:

[Leads "AH_6,5H_5,KD_5,7S_5,TS_5,3C_5,5C_5,9C_5,5D_4,9D_4"]

This shows the number of tricks to be won by the defense, depending on the card lead, sorted from best to worst.

In the above example, the Ace of hearts lead (AH) will lead to 6 defensive tricks. The 9D will lead to only 4 tricks.


Best Leads

While the program is running, a bar will visually show progress, and the number of completed deals will also appear.

The number of deals processed per minute, an interesting statistic, is shown when you've finished.

After the requested number of deals has been completed, the results will appear in a 3 column table. Initially the results are sorted from best to worst lead based upon the probability of setting the hand (IMP oriented) with each given lead.

Resuts

The third column shows the expected number of tricks to be taken with the given lead (MP oriented).

You may sort the results on any of the 3 columns by clicking on the header of the desired column. A second click on the same column's header will sort in the opposite direction.

You may also save these results in an .ini fille where the results and all the hand definitions can be retrieved.


Defining Patterns - I

Each of the three unknown hands, West/North/East, can be defined with as much precision as provided by the bidding. Click on the appropriate hand button on the main screen to see a screen like this:

Hand Definition Library

To define all 13 cards of the hand, click the Use Cards button.

You can read, save, or delete a hand pattern from your Hand Definition Library. This is a file that contains hand patterns which you have defined and named. The initial installation of Lead Captain includes a very few hand patterns which you may edit to fit your needs. If you use a hand pattern from the "Library" it's name will appear at the top of the Hand Definition screen.

If you've taken the time to define a complicated hand with several patterns, it will be helpful to save this pattern in your Library. There is no limit to the number of hand definitions you may save in your Library file. If your hand definition includes multiple patterns then all of those patterns will be saved under the same name.

Patterns

For each hand you can define from 1 to 50 different patterns. A pattern defines the strength and distribution of a hand, as revealed by the bidding. Often the bidding will reveal that a player has two or more different patterns. For example, after 1N-2?-2?-3N you know that responder is at least game forcing but less than slam invitational strength. You also know that he holds 4 cards in one or both majors. Thus you need two hand patterns to describe his holding: one with exactly 4 hearts and 0-4 spades, and one with exactly 4 spades and 0-4 hearts. These two patterns will also cover the situation where responder has 4 in both majors so a third pattern would not be needed in this example.

DefDec

Use the Add/Delete buttons to increase/decrease the number of patterns for this hand. A hand with zero patterns is considered totally random; i.e. no constraints. When adding a new pattern, the initial values are set to the current pattern displayed when you clicked the Add button.

Use the Prior/Next buttons to view the various patterns you've described for this hand.

Include/Exclude

Normally you will define a hand by it's strength and distribution as revealed in the bidding. To be included in your test sample a hand needs to pass at least one of the definitions marked "Included". A hand will never be included if it meets even one of the excluded definitions. Sometimes it's easier to include a wider scope of hands and then pick out some exceptions. For example, assume you defined your 1NT range as 12-14 HCP but do not include hands that are 4-4 in the majors, or have a 5 card major. Either of these two approaches will arrive at the same results:

One approach

1. Include 12-14 hands with 2-5 minors and 2-4 hearts and 2-3 in spades,
2. Include 12-14 hands with 2-5 minors and 2-3 hearts and 2-4 in spades.

Alternatively, you could use these two patterns:

1. Include 12-14 hands with 2-5 minors and 2-4 length in the major,
2. Exclude 12-14 hands with 2-5 minors and exactly 4-4 in the majors.

Lead Captain first looks at the exclusion definitions if any, regardless of the order you have defined them. If any hand meets any of the excluded patterns, that deal is excluded. Assuming the deal wasn't excluded, it then looks at the included patterns, and includes the deal if the hand meets at least one of the included patterns.

Must meet

· Rule of 20: HCP + length of the two longest suits >= 20
· Rule of 22: HCP + length of the two longest suits + number of quick tricks >= 22


Use Cards

To enter a "fixed hand"

1. Click the hand button on the main screen.

2. You may have to also click the Use Cards button, if the Define Pattern screen appears.

3. Fill in all 13 cards and then click return.


Library

Some hand definitions require several hand patterns and can take a fair amount of time to complete. If the hand definition you've defined is likely to to be used in another DD study, consider saving it the the "Library". Hands saved in the hand definition Library may be retrieved and used by any of the three hands - West, North, or East.

These hand definitions are saved in the Library.ini file which is stored in the C:\Users\{username}\AppData\Roaming\Lead Captain folder.This is the same folder used by the Lead Captain Options.ini file. There is no limit to the number of different hand definitions that may be stored in this one file.

When you click one of the three sub-menu items under the "Hand Definition Library" [Read, Save, Delete] you will see this screen, with all of your definitions listed. The installation version of Lead Captain contains just the five listed here. Of course you can change these definitions to your liking.

Lead Captain can also save the information for all four hands.


Total Points

Lead Captain calculates Total Points (TP) as:

For NT Contracts: TP = the sum of

High Card Points (HCP) +

Length Points +

Honor adjustments

Other Adjustments.

For Suit Contracts: TP = the sum

High Card Points (HCP) +

Support Points +

Honor adjustments

Other Adjustments.

Adjustments

The Define Adjustments screen, on the right, shows the adjustments that are available. You may replace these adjustments with your own, and they will be carried over to the next project until you subsequently change them. These same adjustments apply for all three hands that are dealt by Lead Captain.

Support Points

Support points are based upon the the trump suit as defined for the pattern. If the trump suit is NT then support points are zero, but length points apply. Length points equal one point for every card after the fourth one in each suit.

· With 2 or fewer trump, or if it's a NT contract, short suit points are always zero.
· With exactly 3 trump - here they are 3-2-1 for each void-singleton-doubleton.
· With 4+ trump - here they are 5-3-1 for each void-singleton-doubleton.

You may desire different adjustments.

Honor Adjustments

can be made for singleton or doubleton honors. There is also an option to have these Honor Adjustments apply only for suit contracts.

Other adjustments

as shown to the right are also available.

Adjustments


Define Patterns - II

Range Definitions

Ranges are used for strength and distribution requirements. All ranges use just integer numbers - no decimals. There are three different formats for defining a range:

· low-high { 5-7 }
· single number when a range is not needed. {14 }
· minimum number { 18+ } This is identical to 18-37 for HCP. For a suit length 5+ is identical to 5-13.

Strength Requirements

With Lead Captain you can describe the strength of a pattern with up to 8 different measurements. All of these measurements use one of the Range Definitions techniques mentioned above.

· HCP = High Card Points
· LTC = Losing Trick Count
· ZAR = ZAR Points
· TP = Total Points, as defined in the Total Point Adjustsments screen.
· K-R = Kaplan-Ruben point count.
· Key Cards = Aces + King of trump
· Aces
· Kings
· Controls = 2 for each Ace, 1 for each King.

DefDec

Suit Requirements

Length

Insert the length range for each suit, using one of the 3 Range Definition techniques.

Top Honors

Two digits, where the suit must include "m" of the top "n" cards. For example: 24, the suit must contain 2 or more of the top 4 honors. "n" can be no more than 5 and of course "m" must be less than or equal to "n".

Always Deal

The suit must include the specific card(s). Some examples: AJ, KQT, Q, 7, Q8. You can even define every card in the suit.

Never Deal

The suit must never include the specific card(s). An example: AJ. Never deal an A or a J in this suit.

Value

When this book is checked, Lead Captain will assume this suit has some values when making adjustments for RHO or LHO's holding in the suit. For example, if East shows some values in spades, then South's King is likely to be worth more than 3 HCP. See Total Point Adjustments.

Trump for distribution points

Select the trump suit used by this hand when calculating distribution points as part of the TP calculation. This suit may be different than the trump suit for the defense.

Distribution Points

Dummy's distribution points may be calculated differently from declarer's points. See Total Point Adjustments.

Balanced Distribution

Balanced Distribution generally means that the hand contains no singletons. You may further refine your definition of "balanced". Note that "Singleton A,K, or Q" also requires that the second shortest suit be at least 3 long, thus 4441 or 5431 shape meet the definition of "balanced" so long as the singleton is an A, K, or Q.

Tech Mode bid

If you elect to use "Tech Mode" you must define a contract for every pattern defined for the North hand. When south invites, each north hand that meets this particular pattern will make the indicated bid.

Relative Suit Lengths

For every combination of two suits, you can specify that one suit's length must be greater, equal, or less than another suit's length.

Combined HCP

For every combination of two suits, you can specify the exact combined HCP in those two suits, or a range; e.g. 5-7

In the example above, North will be dealt:

· a balanced hand with 12-16 HCP
· 2 of the top 4 honors in spades
· the K of hearts
· the J98 in diamonds
· never the King of clubs
· length of spades will be greater or equal to length of hearts
· combined HCP in spades and hearts will be exactly 10

Be sure you don't require the same card be dealt to two hands.

The Return button saves any changes and gets you back to the main screen. Clicking the upper-right corner red X will cancel any changes you've made to this pattern and return you to the main screen. Next, or Prior will save any changes to that pattern and move you to the appropriate pattern.

Escape hand dealing

If it is taking a long time for Lead Captain to find hands that fit your desired pattern, you can press the <Esc> key to terminate processing. If Lead Captain has not found even one deal to fit your patterns after one million random deals, it will automatically terminate processing.

Preview Deals

After you've defined hands, it's a very good habit to run a small sample, say 100 deals, and then preview them to be sure they meet your expectations.


Total Point Adjustments

On the Main Menu click "Total Point Adjustments" to bring up this screen. Here you will be able to fine-tune the definitions of Total Points used by Lead Captain when dealing cards.

The trump suit used for Short Suit calculations is:

· For Opening Leads: Contract trump
· For Bidding Decisions:

Easy mode: The "Trump used for distribution points" found on the first Pattern screen

Tech mode: The "Trump used for distribution points" found on the pertinent Pattern screen

Note: For the last two "Other Adjustments" shown below, Lead Captain needs to know if an opponent has bid a suit. This is indicated by checking the appropriate Values box under at least one of a RHO's or LHO's hand patterns.


Number of Deals

I think it is best to run a small sample of roughly 100 deals and check out those results with the Preview Deals (F10) button to be sure they meet with your approval. Then you can run a larger study of 1,000 to 5,000 deals to obtain your desired results.


All four hands

All four hand patterns

While the "Library" saves definitions for a single hand, you may also want to save south's hand and the patterns for the other three hands in a single file to be retrieved later. The "All four hands" menu item allows you to save and read the information for all four hands.

By default, each hand saved this way is stored in a separate .TXT file in your C:\Users\{username}\AppData\Roaming\Lead Captain folder; the same folder where the Library.INI file and the option file is saved.


Main Menu - File selections

Read deals from Bridge file

You may test deals from another program's PBN output. You can also test deals (PBN or SQL) saved with this program. This can often eliminate the need for a lengthy re-creating of deals for a study. Because the deals are already defined when you use this approach, you may not further define them. Therefore the Hand Definition buttons, and a few other buttons, are disabled.

Save deals to Bridge file

Save all the deals generated in in your study to a PBN or SQL file with this feature. Many programs can read PBN files, including Double Dummy Solver. If you only plan to use the output in a subsequent Lead Captain study, it's faster to save to a SQL file.

Save deals to CSV file

Save all the deals generated in your study to a CSV file with this feature. This output will have a lot of detail info about each hand.

Menu

Print output

Output generated with this feature include screen shots of the various reports.

Save output to CSV file

Save the summary output information to a CSV file with this feature. CSV files are normally read with spreadsheet programs.

Brute Force

Lead Captain my shuffle the deck 10+ million times to find 5,000 hands that fit your definitions. Depending on the number of patterns to be tested, it takes approximately 10 seconds for Lead Captain to shuffle and deal 1 million hands. It takes the double dummy engine roughly two minutes to make it's calculations on those 5,000 hands.

Preview Deals

It is easy to make a mistake when you define a hand. After your study you can see brief review of all the hands with this option. Click on a column head to sort the deals on that column.

View/Print Deals

Exit


Main Menu - Other

Language - At the the moment, Lead Captain is looking for translators for all languages, including languages that aren't currently represented. Lead Captain uses the Poedit approach which greatly simplifies the task. Please consider helping me with translations.

Define Adjustments - This option is described in detail here.

Specification files - You can Read and Save the patterns, and all other variables of your study, to be retrieved for a later study.

Help


Double Dummy Calculations

Double dummy calculations are made with Bo Haglund's double dummy engine, available for free to all developers at http://privat.bahnhof.se/wb758135/

For maximum speed, these calculations take advantage of "multi-processing" by using all the cores/threads of your CPU. With Intel's "hyper-threading" each core can appear as two threads. See http://en.wikipedia.org/wiki/Multiprocessing

Batching

Using a random number generator, Lead Captain deals 1000s of random hands, checking to see if the three hidden hands meet all of the given definitions. The program first looks at the "Exclusion" definitions (if any), discarding deals that meet the excluded definition(s) then the "Inclusion" definitions.

The double dummy engine, where the real number crunching occurs, multi-processes a batch of deals at a time. Once a random deal meets all the criteria, that deal is added to the batch of acceptable hands. For Opening Leads the batch size is 200 hands. For Bidding Decisions the DD calculations are much more complicated; the batch size is only 32 hands because the all possible trump and declarer combinations are determined at the same time.


Bidding Decisions

There are five different tabs for results under Bidding Decisions:

After defining the four hands and creating the desired number of deals, each one of these tabs will analyse all those deals in different ways. Many of these tabs utilize two different contracts, labeled the "A" and "B" contract. You do not have to re-create deals when you click on one of these tabs:

· Made exactly
· Made at least
· Compare bids
· Invite
· RKC slam try


Made exactly

For every possible declare and contract Lead Captain displays the making percentage. The A and B contract results are highlighted.


Made at least

Enter topic text here.


Compare bids

Enter topic text here.


Invite

Two Modes of Operation

For Bidding Decisions, there are two modes of operation:

· Easy
· Tech


RKC slam try

Enter topic text here.


Run Bidding Decisions

At favorable vulnerability, you're facing a typical bidding decision. Should you take the push to 5? or sit for 4?. In a little over a minute Lead Captain shows that 5? is a losing bid at IMPs because you're likely to be doubled (there's only a 7% chance of making this bid) and you'll typically end up losing 0.77 IMPs per board. On the other hand, if you're playing pairs, East will be making 4? only 47% of the time, so you're better to sit and defend.

You can change the hand very slightly - swap South's 8 of diamonds for the Jack of diamonds, and the hand is now good enough for the sacrifice. Lead Captain says you will lose only 0.08 IMPs per board, and maybe you'll induce E-W to make the poor bid of 5?.


Easy Mode

Here's an example of the type of problem that can be solved in Easy Mode. With standard bidding methods, assume the bidding has gone 1?(by partner)-1?(by you)-2?. Holding the following hand should you invite or not?

Partner probably has 4 spades, at least a few clubs, and 12-16 Support Points (points in support of spades). Despite having a minimal hand, Lead Captain says South should invite game, and especially when vulnerable. By inviting game, as oppose to passing 2?, you can expect to win 0.29 IMPs per board when not vulnerable. When vulnerable, you can expect to gain 1.29 IMPs per board. If the south hand were a bit weaker (replace the K? with the Q? and) you could expect to lose 1.22 IMPs per board when NV. Of course these are double-dummy results and you might get a friendly lead at the table.

Easy - St


Game tries

In Easy mode you can test using 5 different techniques for inviting game. Since hands do not need to be re-generated, results with different techniques are immediately available.

Strength Game Tries are based solely on Total Points. North will accept game when his Total Points are greater then or equal to the mid-point of Total Points that are possible with his hand pattern(s). Using the "Conservative" Accept Style, one more point will be necessary to accept game. With the "Aggressive" style, one less point will be needed.

The other four game try methods are based upon Losing Trick Count, LTC, as described in Ron Klinger's book The Modern Losing Trick Count.

Long Suit game tries are based on LTC in the long suit as indicated by South. It is assumed that your bidding methods will designate what suit you want help in and North with bid accordingly.

1. With 1.5 or few losers in the long suit, North will bid Game.
2. Between 1.6 and 2.5 losers in the long suit, North will bid game if his Total Points equal or exceed the mid-point that his bidding has shown.
3. Otherwise, North will stop short of game.

Short Suit game tries are based on LTC in the short suit indicated by South.

1. With more than 2.5 losers in the short suit, North has no wasted values and will bid game.
2. With 1.6 to 2.5 losers in the short suit, North will base his decision on Total Points
3. With 1.5 or few losers in the short suit, North will bid game if he holds an Ace and maximum Total Points, otherwise he'll stop short of game.

LTC game tries are based on North's Losing Trick Count. When his LTC is less than or equal to the LTC indicated by his prior bids he will bid game.

Cover Card game tries are based on North's Cover Cards. When he holds and equal or greater number on Cover Cards that might be indicated from his bidding, he will bid game. Each Ace and King is counted as a cover card. A Queen in the trump suit is also counted as a Cover Card.


Tech Mode

As the name implies, Tech mode requires more effort to define hand patterns and get the desired results, but the results are more nuanced. Different final contracts are possible.

In Tech mode, every pattern of the North hand must lead to a final contract. As a classic example, assume North opens 1NT and South has 5=2=3=3 distribution with marginally invitational values. Should you transfer to 2 Spade and then pass, or invite with your hand. Your bidding methods may allow you to play:

2 Spade when North has the lower end of his range and prefers spades to NT

2NT when North has the lower end of his range and prefers NT

3 Spade in some situations

3NT when North has the upper end of his range and prefers NT

4 Spade when North has the upper end of his range and prefers spades

In Tech mode you need to define the patterns in North's hand that will lead to the various final contracts. You can get as sophisticated as you want in defining all the potential patterns - up to 50 different patterns per hand, although it will be rare that you will use more than 10 patterns for a hand.

Here's some sample output for the above problem. When vulnerable, this study showed a 0.78 IMPs per board gain by inviting. The gain was 0.11 IMPs per board when non-vul. As expected, just blasting to 3NT or 4 Spade was not the best approach with this hand.


Timing

The total time it takes to run your Lead Captain study depends, primarily, on the number of patterns per hand. For the Opening Lead sub-program, the hardest contracts to play, with the most optional lines of play, are generally NT contracts - and in particular, low level NT contracts. As in "real" bridge, slam hands are generally straight forward with fewer optional lines of play and they take correspondingly less amount of time - at the table and on your computer.

The second important factor affecting time is the speed of your processor (CPU) and in particular the number of threads allowed by your CPU. Starting with version 3.0 of Lead Captain, all the threads in your CPU are used along with Bo Haglund's wonderful double dummy engine, crunching away to determine the number of tricks to be won based upon each possible lead.

Lead Captain determines the results for each possible different lead. Since spot cards are normally interchangeable, you can speed up the simulation a bit by allocating touching cards in the south hand. For example, Lead Captain has to determine four separate leads from A642 but only two leads from A543.

In the Bidding Decisions sub-program, the double dummy engine also calculates results for all possible contracts. Therefore you do not have to re-generate deals when changing just the contracts or vulnerability.


Terminate execution

Whenever you wish to terminate the execution of Lead Captain during a lengthy operation, just press the <Esc> key.


Examples

You will get better results the more accurately you define each hand with the information revealed in the bidding. Looking at the hand definitions that have been saved in the Library will also help you understand how to define patterns. Using Excluded patterns can be especially difficult to grasp. Any hand that meets all the criteria for one (or more) Excluded definitions will be excluded - even if the hand also meets an Included definition. If the hand is not excluded (via an Exclude definition) then it only has to meet one of the Included definitions.

A few examples are now described.


Roman Key Card

Assume dummy has revealed he holds one key card and not the queen of trump. You will need three patterns to describe this.

· Exclude all hands with the queen of trump by placing "Q" in the suit quality. No need to put any other info in the defined fields.
· Include hands with the one ace (range 1-1) and not the king of trump ("-K" in the trump suit quality). Of course you must also define other information about strength and distribution as revealed in the bidding.
· Include hands with 0 aces (range 0-0) and the king of trump ("K" in the trump suit quality), as well as the other information.

Don't get confused with double negatives. In the above example, you want to exclude hands that have the queen. If you exclude hands that don't have the queen, by putting "-Q" in suit quality, you would be forcing the dealer to give the queen to that hand.


Passed hands

 Top Previous

Any hand that has passed at every turn to bid can often be left "totally random". If the other two hands have been defined well, then the passed hand is stuck with what's left! For example, if the leader has 3 spades, dummy has 3-5 spades, and declarer has 5-7 spades, we know that partner has 0-2 spades; however it is not necessary to define partner's hand as having 0-2 spades. If you leave it as having 0-13 spades your partner will still end up with 0-2 spades.